## komparator 0.3

=== CMakeLists.txt ===
project(KOMPARATOR4)
find_package(KDE4 REQUIRED)
find_package(KDE4Internal REQUIRED)

# backward compatibility to <= KDE 4.1
MACRO_ENSURE_VERSION( "4.1.83" ${KDE_VERSION} KDE_VERSION_OK)
if(NOT KDE_VERSION_OK)
  macro_optional_find_package(Plasma)
  macro_log_feature(PLASMA_FOUND "Plasma" "Plasma libraries and header files" "http://plasma.kde.org/" FALSE "" "Plasma is needed for KTorrent Plasmoid")
else(NOT KDE_VERSION_OK)
  set(PLASMA_FOUND true)
  set(PLASMA_LIBS ${KDE4_PLASMA_LIBS})
endif(NOT KDE_VERSION_OK)

# set some default settings
include(KDE4Defaults)

# make some more macros available
include (MacroLibrary)
#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS


# according to http://www.cmake.org/pipermail/cmake/2008-June/022381.html
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
add_definitions( ${KDE4_DEFINITIONS} )

include_directories( ${KDE4_INCLUDES}
   ${KOMPARATOR4_BINARY_DIR}
   ${KOMPARATOR4_BINARY_DIR}/src
   )

add_subdirectory(src)
add_subdirectory(doc)

# --- show log ---
macro_display_feature_log()

#find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== debian/changelog ===
komparator (1:0.3-1ubuntu1) maverick; urgency=low

  * doc/index.docbook:
    Bump doctype version to 4.2 to fix FTBFS. 

 -- Michael Bienia <geser@ubuntu.com>  Sun, 08 Aug 2010 21:11:37 +0200

komparator (1:0.3-1) unstable; urgency=low

  * New upstream release - KDE 4 port (Closes: #555056, #586829)
    - add epoch to version number
  * Switch to dpkg-source 3.0 (quilt) format
  * Update debian/control:
    - update build dependencies for KDE 4 port
    - bump Standards-Version to 3.8.4
    - update Homepage
  * Rewrite debian/copyright from scratch.
  * Update debian/rules: switch to dh usage.

 -- Fathi Boudra <fabo@debian.org>  Wed, 23 Jun 2010 09:50:13 +0300

komparator (0.9-1) unstable; urgency=low

  * New upstream release
  * Refresh patches
  * Bump Standards-Version to 3.7.3
  * Use Homepage, Vcs-Browser and Vcs-Svn fields
  * Remove GFDL embedded copy since it can be found in common-licenses

 -- Fathi Boudra <fabo@debian.org>  Sat, 01 Mar 2008 20:13:39 +0100

komparator (0.8-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 20 Oct 2007 12:17:11 +0100

komparator (0.7-2) unstable; urgency=low

  * Add menu file. (Closes: #442298)

 -- Fathi Boudra <fboudra@free.fr>  Wed, 03 Oct 2007 19:05:49 +0200

komparator (0.7-1) unstable; urgency=low

  * New Upstream Release
  * Added debian/komparator.1, thanks Daniel
    - confusing jargon: "Left URL", "Right URL", "co-reference", etc.
    (Closes: #422577)

 -- Mark Purcell <msp@debian.org>  Mon, 03 Sep 2007 06:44:34 +0100

komparator (0.5-1) unstable; urgency=low

  * New upstream release
  * Remove autoconf 2.60 patch, merged upstream

 -- Fathi Boudra <fboudra@free.fr>  Sun, 17 Sep 2006 01:54:26 +0200

komparator (0.4-1) unstable; urgency=low

  * Initial release (Closes: #378749)

 -- Fathi Boudra <fboudra@free.fr>  Tue,  1 Aug 2006 17:42:25 +0200

=== debian/control ===
Source: komparator
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, gettext,
 kdelibs5-dev (>= 4:4.4.4), pkg-kde-tools (>= 0.6.5)
Standards-Version: 3.8.4
Homepage: http://kde-apps.org/content/show.php?content=116039
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/komparator/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/komparator/trunk

Package: komparator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: directories comparator for KDE
 Komparator is an application that searches and synchronizes two directories.
 It discovers duplicate, newer or missing files and empty folders. It works on
 local and network or kioslave protocol folders.

## komparator 0.6

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(komparator4_SRC
	main.cpp
	kdatecombo.cpp
	kmdcodec.cpp
	komparatortreewidget.cpp
	klistviewitemdups.cpp
	klistviewitemsingle.cpp
	komparator.cpp
	kquery.cpp
	komparatorurllist.cpp
	kfileitemext.cpp
	komparatorcomparejob.cpp
	komparatorjob.cpp
	komparatoremptydirectoriesjob.cpp
	komparatorpreset.cpp
	komparedialog.cpp
	komparatorfilefilter.cpp
	komparatordynamicerrordialog.cpp
	komparatorwidget.cpp
)


kde4_add_ui_files(komparator4_SRC
	komparatorwidgetbase.ui
)

kde4_add_app_icon(komparator4_SRC "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-komparator4*.*ng")

kde4_add_executable(komparator4 ${komparator4_SRC})

target_link_libraries(komparator4 ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS})
install(TARGETS komparator4 ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES komparator4.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== debian/changelog ===
komparator (4:0.6-1) unstable; urgency=low

  * New upstream release 
    - Fixes "FTBFS: index.docbook:1061: element book: validity error : No
    declaration for element book" (Closes: #640956)
    - Fixes "FTBFS: No declaration for element" (Closes: #642719)
  * Add debian/watch for kde-apps

 -- Mark Purcell <msp@debian.org>  Sun, 13 Nov 2011 13:12:00 +1100

## komparator 1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 project(KOMPARATOR4)
 find_package(KDE4 REQUIRED)
 find_package(KDE4Internal REQUIRED)
+find_package(LibKonq REQUIRED)
 
 # backward compatibility to <= KDE 4.1
-MACRO_ENSURE_VERSION( "4.1.83" ${KDE_VERSION} KDE_VERSION_OK)
+MACRO_ENSURE_VERSION( "4.3.0" ${KDE_VERSION} KDE_VERSION_OK)
 if(NOT KDE_VERSION_OK)
   macro_optional_find_package(Plasma)
   macro_log_feature(PLASMA_FOUND "Plasma" "Plasma libraries and header files" "http://plasma.kde.org/" FALSE "" "Plasma is needed for KTorrent Plasmoid")

=== doc/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR komparator4)

=== po/CMakeLists.txt ===
# Search KDE installation
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
ENDIF (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)

FOREACH(_current_PO_FILE ${_po_files})
   GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
   SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME komparator4.mo)
   LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 kde4_add_executable(komparator4 ${komparator4_SRC})
 
-target_link_libraries(komparator4 ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS})
+target_link_libraries(komparator4 konq ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS})
 install(TARGETS komparator4 ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES komparator4.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== debian/changelog ===
komparator (4:1.0-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Browser field.
  * Drop the menu file, as komparator already provides a .desktop file.
  * Use the kde dh addon, so e.g. the docbook is not compressed.
  * Do not install the upstream TODO file as documentation, it is not useful
    for users.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove the xdg-open shebang from the .desktop file; patch
    desktop_header.diff.
  * Link in as-needed mode.
  * Set the cmake minimum version required and policies; cmake-policy.diff.

 -- Pino Toscano <pino@debian.org>  Mon, 27 Jun 2016 07:44:06 +0200

komparator (4:1.0-2) unstable; urgency=low

  * Upload to unstable
  * Update to Standards 3.9.4 - no changes
  * Fix vcs-field-not-canonical - updated

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 09:11:16 +1000

komparator (4:1.0-1) experimental; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Wed, 17 Apr 2013 21:40:19 +1000

komparator (4:0.9-1) experimental; urgency=low

  * New upstream release
  * Added Depends: libkonq5-dev

 -- Mark Purcell <msp@debian.org>  Sun, 31 Mar 2013 21:09:21 +1100

komparator (4:0.8-1) experimental; urgency=low

  * New upstream release
  * debian/compat -> 9
  * cleanup debian/rules

 -- Mark Purcell <msp@debian.org>  Mon, 05 Nov 2012 22:10:45 +1100

komparator (4:0.7-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 31 Mar 2012 22:56:49 +1100

=== debian/control ===
Source: komparator
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), cmake, gettext,
 kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, pkg-kde-tools (>= 0.6.5)
Standards-Version: 3.9.8
Homepage: http://kde-apps.org/content/show.php?content=116039
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/komparator/trunk/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/komparator/trunk

Package: komparator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: directories comparator for KDE
 Komparator is an application that searches and synchronizes two directories.
 It discovers duplicate, newer or missing files and empty folders. It works on
 local and network or kioslave protocol folders.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

=== debian/watch ===
version=3
http://kde-apps.org/content/download.php?content=116039 \
  /CONTENT/content-files/116039-komparator4-([\d\.]+)\.tar\.(?:gz|bz2).* debian svn-upgrade
